Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class CLibrary

    java.lang.Object
      org.apache.cassandra.utils.CLibrary

    public final class CLibrary

extends java.lang.Object

Field Summary
`static int` | `ENOMEM`
`static int` | `MCL_CURRENT`
`static int` | `MCL_FUTURE`

Method Summary
`static int` | `link(java.lang.String from, java.lang.String to)`
`static int` | `mlockall(int flags)`
`static int` | `munlockall()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MCL_CURRENT

    public static final int MCL_CURRENT

See Also:
  Constant Field Values

### MCL_FUTURE

    public static final int MCL_FUTURE

See Also:
  Constant Field Values

### ENOMEM

    public static final int ENOMEM

See Also:
  Constant Field Values

Method Detail

### mlockall

    public static int mlockall(int flags)

### munlockall

    public static int munlockall()

### link

    public static int link(java.lang.String from,
                           java.lang.String to)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation